#!/usr/bin/env bash

# activate conda environment
conda activate climax

# move to project repository
cd ~/git/climax

# loss functions
LOSS=(L1Loss BernoulliGammaLoss BernoulliWeibullLoss MSELoss)

# iterate over loss functions
for loss in ${LOSS[@]}; do

    # change loss function in configuration
    if [ "$loss" = "L1Loss" ] || [ "$loss" = "MSELoss" ]; then
	    sed -i "s/LOSS\s*=.*/LOSS=$loss()/" ./climax/main/config.py
    else
	    sed -i "s/LOSS\s*=.*/LOSS=$loss(min_amount=1)/" ./climax/main/config.py
    fi

    # run learning rate range test
    python climax/main/lr_range_test.py
done
